Page MenuHomePhabricator

Format menu doesn't detect headings without spaces in NWE
Closed, ResolvedPublic1 Story Points

Description

@NicoV reports that ==Test== was not detected as a section heading. (Perhaps it relies upon the presence of spaces, i.e., == Test == ?)

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedEsanders
OpenNone
OpenNone
ResolvedJules78120
OpenNone
ResolvedDannyH
OpenNone
OpenEsanders
OpenNone
OpenEsanders
ResolvedJdforrester-WMF
ResolvedEsanders

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptOct 6 2016, 6:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I need more details here. Why are we talking about wikitext in VE?

Because NicoV was testing the wikitext mode on the Beta Cluster yesterday.

NicoV added a comment.Oct 7 2016, 9:02 AM

@Esanders I was testing the new wikitext editor (included in VE) on beta, and when editing the World page, headings like == World literature == where correctly detected as a Heading, but not ==Test== (which has no whitespace characters between the heading markers and the heading itself).

Esanders renamed this task from ==Heading== not detected to Format menu doesn't detect headings without spaces in NWE.Oct 7 2016, 4:44 PM

Change 314723 had a related patch set uploaded (by Esanders):
Fix detection of headings in NWE format menu

https://gerrit.wikimedia.org/r/314723

Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.

Change 314723 merged by jenkins-bot:
Fix detection of headings in NWE format menu

https://gerrit.wikimedia.org/r/314723

AlexMonk-WMF closed this task as Resolved.Oct 10 2016, 10:58 PM